%define module	SciPy
%define name	python-%{module}
%define version 0.3.2
%define release %mkrel 5

Summary:	Scientific tools for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.scipy.org/download/scipy/src/SciPy_complete-%{version}.tar.bz2
Source1:	lapack.tar.bz2
Source2:	blas.tar.bz2
Source3:	BlasMakefileMaker.bz2
Source4:	LapackMakefileMaker.bz2
Patch0:		scipy-x11-lib64.patch.bz2
Patch1:		lapack-3.0-2001-10-10.patch.bz2
Patch2:		lapack-3.0-makecfg.patch.bz2
Patch3:		lapack-3.0-blas-full-makefile.patch.bz2
License:	GPL
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		http://www.scipy.org
BuildRequires:	python-numeric-devel
BuildRequires:	gcc3.3-g77
BuildRequires:	f2py
BuildRequires:	python-devel
BuildRequires:	fftw2-devel
BuildRequires:  X11-devel
# BuildRequires:	blas-devel
# BuildRequires:	lapack-devel
BuildRequires:	gcc3.3
Requires:	python-numeric

%description
SciPy is an open source library of scientific tools for Python. SciPy
supplements the popular Numeric module, gathering a variety of high level
science and engineering modules together as a single package.

SciPy includes modules for graphics and plotting, optimization, integration,
special functions, signal and image processing, genetic algorithms, ODE 
solvers, and others.

%prep
%setup -n SciPy_complete-%version -q
%patch0
%setup -q -D -T -a 1 -n SciPy_complete-%version
%patch1 
%patch2 
%patch3 
# The %setup macro is not used to unpack the blas tarball in order to 
# avoid causing the working directory to change to LAPACK/BLAS/SRC:
%__bzip2 -dc %SOURCE2 | (cd LAPACK/BLAS/SRC ; tar fx -)
(cd LAPACK/BLAS/SRC;
%__bzip2 -dc %SOURCE3 > BlasMakefileMaker
python BlasMakefileMaker)
(cd LAPACK/SRC;
%__bzip2 -dc %SOURCE4 > LapackMakefileMaker;
python LapackMakefileMaker)

%build
export BLAS_SRC=%_builddir/SciPy_complete-%version/LAPACK/BLAS/SRC
export LAPACK_SRC=%_builddir/SciPy_complete-%version/LAPACK

export BLAS=None
export LAPACK=None
export ATLAS=None
export CC=gcc-`gcc3.3-version`

CFLAGS="$RPM_OPT_FLAGS -ffloat-store -fPIC" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

export BLAS_SRC=%_builddir/SciPy_complete-%version/LAPACK/BLAS/SRC
export LAPACK_SRC=%_builddir/SciPy_complete-%version/LAPACK

export BLAS=None
export LAPACK=None
export ATLAS=None

python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%check
export PYTHONPATH=$RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/
echo $PYTHONPATH
python -c "import scipy; scipy.test(level=1, verbosity=2)"

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc *.txt

%changelog
* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-5mdk
- Add BuildRequires
- Make %%mkrel rpmbuildupdate friendly

* Thu Dec 29 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3.2-4mdk
- * Tue Nov 29 2005 Lev Givon <lev@mandriva.org> 0.3.2-4mdk
 - build blas/lapack into SciPy using gcc 3.3 to avoid gcc 4 issues
  (fix bug #20015)
- some spec cleanup
- run tests

* Thu Oct  6 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3.2-3mdk
- finally build on x86_64 !

* Thu Sep 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3.2-2mdk
- requires and use gcc3.3-g77

* Wed Mar 30 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 0.3.2-1mdk
- initial contrib
